function _toConsumableArray(r) { return _arrayWithoutHoles(r) || _iterableToArray(r) || _unsupportedIterableToArray(r) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(r) { if ("undefined" != typeof Symbol && null != r[Symbol.iterator] || null != r["@@iterator"]) return Array.from(r); }
function _arrayWithoutHoles(r) { if (Array.isArray(r)) return _arrayLikeToArray(r); }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t["return"] && (u = t["return"](), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
import React from 'react';
import { useEffect, useState, useRef } from 'react';
import 'bootstrap-icons/font/bootstrap-icons.css';
import './Datepicker.css';
import { getmonthnumber, getmonthname, daysinmonth2, getdayofweek, getdayname, getWeeksInMonth, makearrayofdatesfromWeek } from './daypickerjs';

//; ----------------------------------------------------------------------
//.DATE RELATED FUNCTIONS
var Datepicker = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var _useState = useState([]),
    _useState2 = _slicedToArray(_useState, 2),
    selectedateArray = _useState2[0],
    setSelecteddateArray = _useState2[1];
  var dayPickerRef = useRef();
  var dateprop = props.dateprop,
    onDateChange = props.onDateChange,
    closedialogCallback = props.closedialogCallback,
    multiple = props.multiple,
    format = props.format;
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    isOpen = _useState4[0],
    setIsOpen = _useState4[1];
  var _useState5 = useState(''),
    _useState6 = _slicedToArray(_useState5, 2),
    datepropDatepicker = _useState6[0],
    setDatepropDatepicker = _useState6[1];
  var dateinputref = useRef();
  var dialogref = useRef();
  var testFunction = function testFunction(e) {

    // setSelecteddate(e.target.value);
  };
  var _useState7 = useState(''),
    _useState8 = _slicedToArray(_useState7, 2),
    selecteddate2 = _useState8[0],
    setSelecteddate2 = _useState8[1];
  //-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
  var _useState9 = useState(dateprop),
    _useState10 = _slicedToArray(_useState9, 2),
    datepropstate = _useState10[0],
    setDatepropState = _useState10[1];
  //STATES RELATED TO DATE PROP
  var _useState11 = useState(''),
    _useState12 = _slicedToArray(_useState11, 2),
    monthfromdate = _useState12[0],
    setMonthfromdate = _useState12[1];
  var _useState13 = useState(0),
    _useState14 = _slicedToArray(_useState13, 2),
    yearfromdate = _useState14[0],
    setYearfromdate = _useState14[1];
  //-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
  var _useState15 = useState(format),
    _useState16 = _slicedToArray(_useState15, 2),
    formata = _useState16[0],
    setFormat = _useState16[1];
  //-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
  //STATES WE SET FROM DATE / MONTH / YEAR
  var _useState17 = useState(''),
    _useState18 = _slicedToArray(_useState17, 2),
    monthnumber = _useState18[0],
    setMonthnumber = _useState18[1];
  //TO DO 
  var _useState19 = useState(''),
    _useState20 = _slicedToArray(_useState19, 2),
    monthname = _useState20[0],
    setMonthname = _useState20[1];
  var _useState21 = useState(''),
    _useState22 = _slicedToArray(_useState21, 2),
    daysinmonth = _useState22[0],
    setDaysinmonth = _useState22[1];
  var _useState23 = useState(''),
    _useState24 = _slicedToArray(_useState23, 2),
    dayofweek = _useState24[0],
    setDayofweek = _useState24[1];
  var _useState25 = useState(''),
    _useState26 = _slicedToArray(_useState25, 2),
    dayname = _useState26[0],
    setDayname = _useState26[1];
  var _useState27 = useState([]),
    _useState28 = _slicedToArray(_useState27, 2),
    allweeksdates = _useState28[0],
    setAllweeksdates = _useState28[1];
  var _useState29 = useState(0),
    _useState30 = _slicedToArray(_useState29, 2),
    monthfordisplay = _useState30[0],
    setMonthfordisplay = _useState30[1];
  var _useState31 = useState(0),
    _useState32 = _slicedToArray(_useState31, 2),
    yearfordisplay = _useState32[0],
    setYearfordisplay = _useState32[1]; //not sure about this

  var _useState33 = useState(multiple),
    _useState34 = _slicedToArray(_useState33, 2),
    multipleprop = _useState34[0],
    setMultipleprop = _useState34[1];
  // const[multipledatearray, setMultipledatearray] = useState([]);
  var _useState35 = useState(false),
    _useState36 = _slicedToArray(_useState35, 2),
    datepropPassed = _useState36[0],
    setDatepropPassed = _useState36[1];

  // FOR THE MONTHS CHANGE
  var _useState37 = useState(false),
    _useState38 = _slicedToArray(_useState37, 2),
    showmonth = _useState38[0],
    setShowmonth = _useState38[1];
  var _useState39 = useState(''),
    _useState40 = _slicedToArray(_useState39, 2),
    actuallytoday = _useState40[0],
    setActuallytoday = _useState40[1];

  //; =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
  //. ON TODAYS DATE CHANGE -> 
  //; ===========================================================
  useEffect(function () {
    var todaydatex = new Date(); //example: 2021-05-05T10:00:00.000Z
    var todayx = todaydatex.toISOString().slice(0, 10);
    setActuallytoday(todayx);
  }, []);
  useEffect(function () {
    var monthfromdate1;
    var yearfromdate1;
    var getmonthnumberV;
    var getdayofweekV;
    var getdaynameV;
    var dateprop;
    var datetouse;
    if (datepropstate) {
      datetouse = datepropstate;
      if (_typeof(datepropstate) == 'object') {
        if (datepropstate.length == 0) {
          var todaydate1 = new Date(); //example: 2021-05-05T10:00:00.000Z
          var todaydateforsure = todaydate1.toISOString().slice(0, 10); // example: 2021-05-05

          datetouse = todaydateforsure;
        }
      } else if (typeof datepropstate == 'string') {
        datetouse = datepropstate;
        setDatepropPassed(true);
      }
    } else if (!datepropstate) {
      if (selecteddate2) {
        var unformatdate = '';
        if (format === 'DDMMYYYY') {
          unformatdate = convertDMY2YMD(selecteddate2);
        } else if (format === 'YYYYMMDD') {
          unformatdate = selecteddate2;
        } else if (format === 'MMDDYYYY') {
          // alert('here')
          unformatdate = convertMDY2YMD(selecteddate2);
        }
        datetouse = unformatdate;
      } else if (!selecteddate2) {
        var _todaydate = new Date(); //example: 2021-05-05T10:00:00.000Z
        var _todaydateforsure = _todaydate.toISOString().slice(0, 10); // example: 2021-05-05

        datetouse = _todaydateforsure;
      }
      // changeDateCallback(todaydateforsure)
    }

    //|get month and year from date
    monthfromdate1 = datetouse.slice(5, 7); //e.g. 07d
    yearfromdate1 = datetouse.slice(0, 4); // e.g. 2024

    var monthtonumber = parseInt(monthfromdate1);
    var yeartonumber = parseInt(yearfromdate1);
    setMonthfordisplay(monthtonumber);
    setYearfordisplay(yeartonumber);
    getmonthnumberV = getmonthnumber(datetouse); //  e.g. 12
    getdayofweekV = getdayofweek(datetouse); //e.g. 1
    getdaynameV = getdayname(getdayofweekV); //e.g. monday
    setDayname(getdaynameV);
    //  setMonthfromdate(monthfromdate1); 
    setYearfromdate(yearfromdate1);
    setMonthnumber(getmonthnumberV);
    setDayofweek(getdayofweekV);
  }, [selecteddate2, datepropstate]);
  useEffect(function () {
    if (datepropPassed) {
      setSelecteddate2(datepropstate);
    }
  }, [datepropPassed]);
  //; ===========================================================
  useEffect(function () {
    //MAYBE ISSUE BECAUSE NOW WE HAVE JS MONTH -> AND MAYBE THE REST IS IN NORMAL MONTHS
    var getmonthnameV = getmonthname(monthfordisplay, yearfordisplay);
    setMonthname(getmonthnameV);
    var daysinmonth1V = daysinmonth2(monthfordisplay, yearfordisplay);
    setDaysinmonth(daysinmonth1V);

    //. BUILD WEEKS AND DATES ETC FOR DISPLAY
    //first get array of weeks in month
    var testweeks = getWeeksInMonth(monthfordisplay, yearfordisplay);
    var mergedArray = [];
    var looptestweeks = testweeks.map(function (week, index) {
      var weeknumberhere = week.weeknumber;
      var weekyearhere = week.year;
      //get array of dates from week (array of 7 date objects)
      //TODO mAYBE TURN THIS INTO STRINGS
      var arrayofdates = makearrayofdatesfromWeek(weeknumberhere, weekyearhere, monthfordisplay, monthname);
      mergedArray = [].concat(_toConsumableArray(mergedArray), _toConsumableArray(arrayofdates));
      return arrayofdates;
    });
    setAllweeksdates(mergedArray);
  }, [monthfordisplay, yearfordisplay]);

  //; ===========================================================
  //. CHEVRONS CHANGE MONTH
  var changemonth = function changemonth(currentmonthnum, previousnext, yearfordisplay22) {
    //IN NORMAL MONTHS e.g 12 -> december, not js yet
    var cmonth = currentmonthnum;
    var cmonthnumber = cmonth;
    var cmonthnumberinjs = cmonthnumber;
    var newmonth;
    if (previousnext === 'previous') {
      if (cmonthnumberinjs === 1) {
        newmonth = 12;
        var newyear1 = yearfordisplay22 - 1;
        setMonthfordisplay(newmonth);
        setYearfordisplay(newyear1);
      } else {
        newmonth = cmonthnumberinjs - 1;
        setMonthfordisplay(newmonth);
      }
    } else if (previousnext === 'next') {
      if (cmonthnumberinjs === 12) {
        newmonth = 1;
        var _newyear = yearfordisplay22 + 1;
        setYearfordisplay(_newyear);
        setMonthfordisplay(newmonth);
      } else {
        newmonth = cmonthnumberinjs + 1;
        setMonthfordisplay(newmonth);
      }
    }
  };
  var changedateLocal = function changedateLocal(newdate) {
    //if prop multiiple..
    if (multipleprop === 'yes') {
      if (selectedateArray.find(function (item) {
        return item == newdate;
      })) {
        //remove it
        var newarray = selectedateArray.filter(function (item) {
          return item !== newdate;
        });
        setSelecteddateArray(newarray);
      } else {
        setSelecteddateArray([].concat(_toConsumableArray(selectedateArray), [newdate]));
      }
    } else {
      var dateparam = new Date(newdate);
      //set date TO FORMAT WE WANT
      var converteddatenow = convertFormat(newdate);
      // setSelecteddate2(newdate);
      setSelecteddate2(converteddatenow);
    }
  };

  //; ===========================================================
  //. CHANGE DATE ON CLICK CALLBACK
  var changeDateCallback = function changeDateCallback(newdate) {
    onDateChange(newdate);
  };
  var closedialog = function closedialog(newstate) {
    setIsOpen(newstate);
    "";
  };
  //; ===========================================================
  //; OUTSIDE CLICK DETECTION - CLOSE DIALOG
  useEffect(function () {
    var handleClickOutside = function handleClickOutside(event) {
      var targetid = event.target.id;
      //first see if i
      if (dateinputref.current && !dateinputref.current.contains(event.target)) {
        //setIsOpen(false);
        if (dialogref.current && !dialogref.current.contains(event.target)) {
          //setIsOpen(false);
          if (isOpen === true) {
            setIsOpen(false);
          } else {}
          if (targetid === 'calendaricon') {
            setIsOpen(true);
          } else {
            setIsOpen(false);
          }
        } else {}
      } else if (dateinputref.current && dateinputref.current.contains(event.target)) {}
    };
    window.addEventListener('click', handleClickOutside);

    // Clean up the event listener
    return function () {
      window.removeEventListener('click', handleClickOutside);
    };
  }, [dayPickerRef]);
  var changesetshowmonth = function changesetshowmonth() {
    if (showmonth === false) {
      setShowmonth(true);
      setShowYears(false);
    } else {
      setShowmonth(false);
    }
  };
  // dispatch(setDateFordaypicker(todaydate));
  var changemonthclick = function changemonthclick(monthnumber) {
    setMonthfordisplay(monthnumber);
    setShowmonth(false);
  };
  //; GET YEARS 
  var _useState41 = useState([]),
    _useState42 = _slicedToArray(_useState41, 2),
    yearsArray = _useState42[0],
    setYearsArray = _useState42[1];
  var _useState43 = useState(false),
    _useState44 = _slicedToArray(_useState43, 2),
    showyears = _useState44[0],
    setShowYears = _useState44[1];
  useEffect(function () {
    //get current year 
    var selectedyear = yearfordisplay;
    //get 10 years before and after 
    var yearsbefore = selectedyear - 10;
    var yearsafter = selectedyear + 10;
    var yearsarray = [];
    for (var i = yearsbefore; i <= yearsafter; i++) {
      yearsarray.push(i);
    }
    setYearsArray(yearsarray);
  }, [yearfordisplay]);

  //WHEN CLICK ON YEAR - shows years div
  var showyearsfunction = function showyearsfunction() {
    if (showyears === false) {
      setShowYears(true);
      setShowmonth(false);
    } else {
      setShowYears(false);
    }
  };
  var changeyearfunction = function changeyearfunction(plusorminus) {
    var currentselectyear = yearfordisplay;
    if (plusorminus === 'plus') {
      var newyear = currentselectyear + 10;
      setYearfordisplay(newyear);
    } else if (plusorminus === 'minus') {
      var _newyear2 = currentselectyear - 10;
      setYearfordisplay(_newyear2);
    }
  };
  var selectnewyearfunction = function selectnewyearfunction(selectedyear) {
    setYearfordisplay(selectedyear);
    setShowYears(false);
  };
  var convertYMD2DMY = function convertYMD2DMY(date) {
    if (date) {
      var datearray = date.split('-');
      var year = datearray[0];
      var month = datearray[1];
      var day = datearray[2];
      var newdate = "".concat(day, "-").concat(month, "-").concat(year);
      return newdate;
    }
  };
  var convertYMD2MDY = function convertYMD2MDY(date) {
    if (date) {
      var datearray = date.split('-');
      var year = datearray[0];
      var month = datearray[1];
      var day = datearray[2];
      var newdate = "".concat(month, "-").concat(day, "-").concat(year);
      return newdate;
    }
  };
  var convertDMY2YMD = function convertDMY2YMD(date) {
    //convert to yyyy-mm-dd
    if (date) {
      var datearray = date.split('-');
      var day = datearray[0];
      var month = datearray[1];
      var year = datearray[2];
      var newdate = "".concat(year, "-").concat(month, "-").concat(day);
      return newdate;
    } else {
      return '';
    }
  };
  var convertMDY2YMD = function convertMDY2YMD(date) {
    if (date) {
      //alert(111)
      var datearray = date.split('-');
      var month = datearray[0];
      var day = datearray[1];
      var year = datearray[2];
      var newdate = "".concat(year, "-").concat(month, "-").concat(day);
      // alert(newdate, 'newdate')
      return newdate;
    } else {
      return '';
    }
  };
  var convertDMY2YMDarray = function convertDMY2YMDarray(datearray) {
    //date is string,  return string
    //convert to dd-mm-yyyy
    if (datearray.length > 0) {
      var count = datearray.length;
      var newdatearray = [];
      for (var i = 0; i < count; i++) {
        var date = datearray[i];
        var converted = convertDMY2YMD(date);
        newdatearray.push(converted);
      }
      return newdatearray;
    } else {
      return '';
    }
  };
  var convertMDY2YMDarray = function convertMDY2YMDarray(datearray) {
    //date is string,  return string

    //convert to dd-mm-yyyy
    if (datearray.length > 0) {
      var count = datearray.length;
      var newdatearray = [];
      for (var i = 0; i < count; i++) {
        var date = datearray[i];
        var converted = convertMDY2YMD(date);
        newdatearray.push(converted);
      }
      return newdatearray;
    } else {
      return '';
    }
  };
  var convertFormatArray = function convertFormatArray(datearray) {
    var formatis = formata;
    if (formata === 'DDMMYYYY') {
      return convertDMY2YMDarray(datearray);
    } else if (formata === 'YYYYMMDD') {
      return datearray;
    } else if (formata === 'MMDDYYYY') {
      return convertMDY2YMDarray(datearray);
    }
  };
  var convertFormat = function convertFormat(date) {
    var formatis = formata;
    if (formata === 'DDMMYYYY') {
      return convertYMD2DMY(date);
      //return convertDMY2YMD(date)
    } else if (formata === 'YYYYMMDD') {
      return date;
    } else if (formata === 'MMDDYYYY') {
      return convertYMD2MDY(date);
    }
  };
  var validatedate = function validatedate(date) {
    var validORnot;
    //  let datePattern = /^(((0)[0-9])|((1)[0-2]))(-)([0-2][0-9]|(3)[0-1])(-)\d{4}$/;
    var datePattern = /^\d{4}-(0[1-9]|1[0-2])-([0-2][0-9]|3[0-1])$/;
    validORnot = datePattern.test(date);
    return validORnot;
  };
  var validatedateArray = function validatedateArray(datearray) {
    //split array on comma,
    var checkifvalidonitsown = validatedate(datearray);
    if (checkifvalidonitsown) {
      return true;
    } else {
      //split see IF DATES ARE VALID INSIDE 
      var split = datearray.split(',');
      var countsplit = split.length;
      var validcount = 0;
      if (countsplit > 0) {
        for (var i = 0; i < countsplit; i++) {
          var date = split[i];
          var dateisvalid = validatedate(date);
          if (dateisvalid) {
            validcount++;
          }
        }
        if (validcount === countsplit) {
          return true;
        } else {
          return false;
        }
      }
    }
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "datepickerwrapper"
  }, /*#__PURE__*/React.createElement("div", {
    className: "datepickerformgroupdiv",
    onClick: function onClick() {
      return setIsOpen(true);
    }
  }, /*#__PURE__*/React.createElement("input", {
    //placehodler maybe convert today's date 

    ref: dateinputref,
    className: "datepickerinput datepinput",
    type: "text",
    name: "datepicker",
    id: "datepickerinput",
    value: selectedateArray && selectedateArray.length > 0 ? selectedateArray : selecteddate2
    /* convertYMD2DMY(selecteddate2) convertYMD2DMYarray(selectedateArray)   */,
    "aria-label": "Datepicker",
    onClick: function onClick() {
      return setIsOpen(true);
    }
    /* onChange={{testFunction} */,
    onChange: function onChange(e) {
      var proceed = false;
      if (selectedateArray && selectedateArray.length > 0) {
        //validate dates before setting them - OTHERWISE BUGGY if date not finished
        //alert('arry changed')
        proceed = true;
        // MAYBE HAVE TO CONVERT DATE HERE DUNNO TEST
        var valueinput = dateinputref.current.value;
        var valueinputarray = valueinput.split(',');
        //back to string with the comma 

        // setSelecteddateArray([valueinput]);
        setSelecteddateArray(valueinputarray);
        //  setMultipledatearray(valueinputarray);
      } else {
        var validdateis = validatedate(e.target.value);
        proceed = true;
        setSelecteddate2(e.target.value);
      }
    }
  }), /*#__PURE__*/React.createElement("i", {
    id: "calendaricon",
    className: "bi bi-calendar4-week inputicon"
  })), isOpen && /*#__PURE__*/React.createElement("div", {
    className: "dialog",
    ref: dialogref
  }, "   ", /*#__PURE__*/React.createElement("div", {
    className: "mydaypickerwrapper"
  }, /*#__PURE__*/React.createElement("div", {
    className: "topdivdp"
  }, !showyears && /*#__PURE__*/React.createElement("div", {
    className: "chevronsdp chevrondpleft",
    onClick: function onClick() {
      return changemonth(monthfordisplay, 'previous', yearfordisplay);
    }
  }, /*#__PURE__*/React.createElement("i", {
    className: "bi bi-chevron-left"
  })), showyears && /*#__PURE__*/React.createElement("div", {
    className: "chevronsdp chevrondpleft",
    onClick: function onClick() {
      return changeyearfunction('minus');
    }
  }, /*#__PURE__*/React.createElement("i", {
    className: "bi bi-chevron-left"
  })), /*#__PURE__*/React.createElement("div", {
    className: "monthnamedp"
  }, /*#__PURE__*/React.createElement("span", {
    className: "curserpointer",
    onClick: function onClick() {
      return changesetshowmonth();
    }
  }, monthname, " "), /*#__PURE__*/React.createElement("span", {
    className: "curserpointer",
    onClick: function onClick() {
      return showyearsfunction();
    }
  }, "  ", yearfordisplay, "  ")), !showyears && /*#__PURE__*/React.createElement("div", {
    className: "chevronsdp chevrondpright",
    onClick: function onClick() {
      return changemonth(monthfordisplay, 'next', yearfordisplay);
    }
  }, /*#__PURE__*/React.createElement("i", {
    className: "bi bi-chevron-right"
  })), showyears && /*#__PURE__*/React.createElement("div", {
    className: "chevronsdp chevrondpleft",
    onClick: function onClick() {
      return changeyearfunction('plus', yearfordisplay);
    }
  }, /*#__PURE__*/React.createElement("i", {
    className: "bi bi-chevron-right"
  }))), !showmonth && !showyears && /*#__PURE__*/React.createElement("div", {
    className: "mydatepickergrid"
  }, /*#__PURE__*/React.createElement("div", {
    className: "dayofweek"
  }, "Mon"), /*#__PURE__*/React.createElement("div", {
    className: "dayofweek"
  }, "Tue"), /*#__PURE__*/React.createElement("div", {
    className: "dayofweek"
  }, "Wed"), /*#__PURE__*/React.createElement("div", {
    className: "dayofweek"
  }, "Thu"), /*#__PURE__*/React.createElement("div", {
    className: "dayofweek"
  }, "Fr"), /*#__PURE__*/React.createElement("div", {
    className: "dayofweek"
  }, "Sat"), /*#__PURE__*/React.createElement("div", {
    className: "dayofweek"
  }, "Sun"), allweeksdates && allweeksdates.map(function (day, index) {
    return /*#__PURE__*/React.createElement("div", {
      key: day.datetxt,
      onClick: function onClick() {
        if (multipleprop === 'yes') {
          //first check if it exists in the array already
          if (selectedateArray.find(function (item) {
            return item == day.datetxt;
          })) {
            //remove it
            var newarray = multipledatearray.filter(function (item) {
              return item !== day.datetxt;
            });
            //    setMultipledatearray(newarray);
            setSelecteddateArray(newarray);
            changeDateCallback(newarray);
          } else {
            //convert array 
            // let convertedArrayformat = convertFormatArray(multipledatearray);

            //  setMultipledatearray([...multipledatearray, convertFormat(day.datetxt)]);
            setSelecteddateArray([].concat(_toConsumableArray(selectedateArray), [convertFormat(day.datetxt)]));
            changeDateCallback([].concat(_toConsumableArray(selectedateArray), [convertFormat(day.datetxt)]));
            changedateLocal(convertFormat(day.datetxt));
          }
        } else {
          changeDateCallback(day.datetxt);
          closedialog(false);
          changedateLocal(day.datetxt);
        }
      },
      className: "dpdatebox ".concat(day.monthname !== monthname ? 'grey' : '', " ").concat(selecteddate2 === convertFormat(day.datetxt) ? 'activedatebadge' : '', " ").concat(day.datetxt === actuallytoday ? 'todaycss' : '', " ").concat(selectedateArray && selectedateArray.find(function (item) {
        return item == convertFormat(day.datetxt);
      }) ? 'activedatebadge' : '', " "),
      "data-date": convertFormat(day.datetxt),
      "data-monthname": day.monthname,
      "data-monthnumber": day.monthnumber /* data-dayname={day.dayname} data-dayofweek={day.dayofweek} data-dayofweeknumber={day.dayofweeknumber} data-year={day.year} data-day={day.day} data-month={day.month} */
    }, day.datetxt.split('-')[2]);
  })), showmonth && !showyears && /*#__PURE__*/React.createElement("div", {
    className: "monthsdiv"
  }, /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "1",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(1);
    }
  }, "January"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "2",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(2);
    }
  }, "February"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "3",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(3);
    }
  }, "March"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "4",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(4);
    }
  }, "April"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "5",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(5);
    }
  }, "May"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "6",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(6);
    }
  }, "June"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "7",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(7);
    }
  }, "July"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "8",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(8);
    }
  }, "August"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "9",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(9);
    }
  }, "September"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "10",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(10);
    }
  }, "October"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "11",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(11);
    }
  }, "November"), /*#__PURE__*/React.createElement("div", {
    className: "monthdiv curserpointer",
    id: "12",
    onClick: function onClick(event) {
      event.stopPropagation();
      changemonthclick(12);
    }
  }, "December")), showyears && !showmonth && /*#__PURE__*/React.createElement("div", {
    className: "yeardiv"
  }, yearsArray && yearsArray.map(function (year, index) {
    return /*#__PURE__*/React.createElement("div", {
      key: index,
      className: "yeardivitem ".concat(year === yearfordisplay ? 'activeyear' : '')
      /*   onClick={() => selectnewyearfunction(year)} */,
      onClick: function onClick(event) {
        event.stopPropagation();
        selectnewyearfunction(year);
      }
    }, " ", /*#__PURE__*/React.createElement("span", {
      className: "curserpointer"
    }, " ", year, " "));
  }))))));
});
Datepicker.displayName = 'Mydaypicker2';
export default Datepicker;